Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1586 - sys_siglist is NULL for i = 32 to NSIG
Summary: sys_siglist is NULL for i = 32 to NSIG
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-17 20:39 UTC by Jeff Johnson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-09 01:31:49 UTC


Attachments (Terms of Use)

Description Jeff Johnson 1999-03-17 20:39:38 UTC
This code snippet (from pdksh) fails
	for (i = 0; i < NSIG; i++)
                if (!sigtraps[i].name && sys_siglist[i][0])
                        sigtraps[i].mess = sys_siglist[i];

Comment 1 Cristian Gafton 1999-07-09 01:31:59 UTC
Only 32 signals are defined by POSIX and have names.


Note You need to log in before you can comment on or make changes to this bug.